$tablet: 768px;
$desktop: 1440px;
$mobile: 320px;


.container {
    margin: 0 auto;
   /* background-color: rgb(0 100 0 / 0.05); */
    width: 1110px;
    column-gap: 20px;
    z-index: 10;
}

@media  (max-width: 1200px) {
    .container {
      width: 80%;
    }
  }

@media  (max-width: 992px) {
  .container {
    width: 80%;
  }
}

@media (max-width: 768px) {
    .container {
        width: 80%;
    }
  }

@media (max-width: 576px) {
    .container {
        width: 80%;
     }
}

.intro__heading {
    font-size: 54px;
    margin-top: 30px;
    margin-bottom: 30px;
}

.intro__phraze {
    font-size: 16px;
}

.intro {
    position: relative;
}


//section decoration

.bg-gradient {
    position: absolute;
    width: 1000px;
    height: 1000px;
    background: radial-gradient(50% 50% at 50% 50%, rgba(74, 254, 191, 0.25) 0%, rgba(217, 217, 217, 0) 100%);
    border-radius: 50%;
    z-index: -1;

    left: 0;
    top: 0;
    transform: translate(-50%, -50%);
}

//cards

.cards {
    margin-top: 35px;
    margin-bottom: 100px;
}

.cards .container {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.card__item {
    width: 440px;
    z-index: 10;
}

@media (max-width: 874px) {
    .card__item, .steps__item {
        width: 90%;
    }
}

@media (max-width: 496px) {
    .card__item, .steps__item {
        width: 95%;
    }
}

@media (max-width: 496px) {
    .steps__image {
        width: 90%;
    }
}









@media (max-width: 877px) {
    .cards .container {
        justify-content: center;
}
}




.card__params {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    white-space: nowrap;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 16px 16px;
    height: 66px;
    align-items: baseline;
    background-color: $gray;
    align-items: center;
}


.btn {
    position: relative;
    height: 55px;
    padding: 8px 22px 6px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 0;
    font-size: 18px;
    line-height: 21px;
    cursor: pointer;
    border: 0;
    border-radius: 20px;
    background: linear-gradient(180deg,#4afebf,#51eeda);
    color: #141616;
    font-weight: 700;
    text-decoration: none;
    padding: 16px;
    width: 90%;
    margin: auto;
}

.wrapped-card {
    margin-left: auto;
    margin-right: auto;
    height: 100%;
    width: 100%;
}

.card__header {
    background-color: $gray;
    //font-weight: 700;
    font-size: 22px;
    text-align: center;
    padding: 16px 32px;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    color: $green1;
}

.card__image {
    display: flex;
    background-size: 100%;
}


@media (max-width: 472px)  {
    .card__image {
        background-size: 120%;
    }
}

.params__label {
    font-size: 15px;
    font-weight: 300;
    line-height: 18px;
    letter-spacing: 0em;
    text-align: left;
    display: flex;
    align-items: center;
}

.params__cost {
    font-size: 18px;
    font-weight: 700;
    line-height: 23px;
    letter-spacing: 0em;
    text-align: left;
    color: $green2;
    margin-left: 8px;
}

.params__currency {
    font-size: 14px;
    font-weight: 300;
    line-height: 18px;
    letter-spacing: 0em;
    text-align: left;
    color: Grey;
    display: flex;
    align-items: center;
}

.params__currency-name {
    margin-bottom: 0;
    margin-top: 0;
    margin-right: 8px;
}

.button-wrapper {
    background-color: $gray;
    border-bottom-right-radius: 20px;
    border-bottom-left-radius: 20px;
    height: 100px;
}



.steps {
    margin-top: 120px;
    position: relative;
}

.steps__list {
    display: flex;
    justify-content: space-around;
    padding-left: 0;
    column-gap: 40px;
    flex-wrap: wrap;
}

.steps__item {
    width: 340px;
    height: 302px;
    background-color: $gray;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    justify-content: end;
    align-items: center;
    margin-bottom: 20px;
    z-index: 10;
}

@media (max-width: 1200px) {
    .steps__item {
        margin-bottom: 50px;
    }
}


.steps__image {
    width: 300px;
}

.steps__phraze {
    text-align: center;
    font-size: 18px;
    font-weight: 700;
    line-height: 32px;
    letter-spacing: 0em;
    text-align: center;
}

@media (max-width: 874px) {
    .steps__item {
        width: 90%;
    }
}

@media (max-width: 496px) {
    .steps__item {
        width: 95%;
    }
}

@media (max-width: 496px) {
    .steps__image {
        width: 90%;
    }
}



//Стилизация нумерации второго блока

.steps__list {
    counter-reset: num;
    list-style: none;
}

.steps__item {
    position: relative;
    padding: 0 20px;
}

.steps__list .steps__item::before {
    counter-increment: num;
    content: counter(num);
    position: absolute;
    width: 40px;
    top:-50px;
    text-align: center;
    font-size: 80px;
    font-weight: 700;
    line-height: 104px;
    right: 50%;
}

.steps__list .steps__item::before {
    content: "0" counter(num);
}

.footer .container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    height: 79px;
    align-content: center;
}



/* @media (min-width: 687px) and (max-width: 865px) {
    .steps__item:nth-child(2) .steps__button,
    .steps__item:nth-child(3) .steps__button {
        right: 84px;
    }
} */

.steps__item:nth-child(2) .steps__image {
    margin-right: 150px;
    width: 250px;
    margin-bottom: 5px;
}






.steps__item:nth-child(2) .steps__button {
    right: 33px;
    top: 148px;
}



.steps__item:nth-child(3) .steps__image {
    width: 280px;
    margin-bottom: 20px;
}

.steps__item:nth-child(3) .steps__button {
    right: 16px;
    top: 150px;
}

@media (min-width: 665px) and (max-width: 875px){
    .steps__item:nth-child(2) .steps__button,
    .steps__item:nth-child(3) .steps__button {
        right: 84px;
    }
} 




.steps__button {
    position: absolute;
    height: 55px;
    padding: 8px 22px 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 0;
    font-size: 18px;
    line-height: 21px;
    cursor: pointer;
    border: 0;
    border-radius: 20px;
    background: linear-gradient(180deg,#4afebf,#51eeda);
    color: #141616;
    font-weight: 700;
    text-decoration: none;
    padding: 16px;
    width: 126px;
}

.disclaimer {
    margin-top: 20px;
}


.diclaimer .container {
    border-radius: 20px;
    background-color: $gray;

}

.disclaimer__phraze {
    text-align: center;
    padding: 15px 7%;
    font-size: 16px;
    font-weight: 300;
    line-height: 25px;
    letter-spacing: 0em;
    color: #FFFFFF;
}

.bats-decoration .container {
    display: flex;
    justify-content: space-around;
}

.network {
    width: 35px;
    margin-left: 5px;
}

.inner-button-wrapper {
    padding-top: 20px;
    
}

.info {
    font-size: 1.2em;
    line-height: 1.2em;
}